#
# spec file for package python-cups
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-cups
%define _name   pycups
Version:        1.9.72
Release:        6.1
Summary:        Python Bindings for CUPS
License:        GPL-2.0+
Group:          Development/Libraries/Python
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://cyberelk.net/tim/software/pycups/
Source:         http://cyberelk.net/tim/data/pycups/%{_name}-%{version}.tar.bz2
BuildRequires:  cups-devel
BuildRequires:  python3-devel

%description
Python Bindings for CUPS, the Common Unix Printing System

%prep
%setup -q -n %{_name}-%{version}

%build
CFLAGS="%{optflags}" python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING NEWS README TODO
%{python3_sitearch}/cups*so
%{python3_sitearch}/pycups*.egg-info

%changelog
* Thu Mar 12 2015 dimstar@opensuse.org
- Initial package, version 1.9.72 for python3. Based on the existing
  python-cups package.
